<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/i2c/src/i2c_master.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_543150874d2644b5fa790a5d32e38ffc.html">i2c</a></li><li class="navelem"><a class="el" href="dir_91619f41c171c63977cb051224dadf4a.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">i2c_master.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>The file implements the I2C Master Driver for the XWR14xx and XWR16xx. The file implements the driver to conform to the MCPI standards.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_i2_c_8h.html">ti/drivers/i2c/I2C.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="i2c__master_8h.html">ti/drivers/i2c/include/i2c_master.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad63467878733171d59becb3117618965"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad63467878733171d59becb3117618965">I2CMaster_cancel</a> (<a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a> handle)</td></tr>
<tr class="separator:gad63467878733171d59becb3117618965"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a7f25cb49eeca7d6989a3814a378352"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1a7f25cb49eeca7d6989a3814a378352">I2CMaster_close</a> (<a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a> handle)</td></tr>
<tr class="separator:ga1a7f25cb49eeca7d6989a3814a378352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b37422af52adfdd5bc35c2a4083e235"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5b37422af52adfdd5bc35c2a4083e235">I2CMaster_control</a> (<a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a> handle, uint32_t cmd, void *arg)</td></tr>
<tr class="separator:ga5b37422af52adfdd5bc35c2a4083e235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20f4fbbafbfc926a399a0f22d73cade3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga20f4fbbafbfc926a399a0f22d73cade3">I2CMaster_init</a> (<a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a> handle)</td></tr>
<tr class="separator:ga20f4fbbafbfc926a399a0f22d73cade3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1f3f31297f1641ff42f64a34d984995"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf1f3f31297f1641ff42f64a34d984995">I2CMaster_open</a> (<a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a> handle, <a class="el" href="_i2_c_8h.html#a4173f2dd1ab66ef95cb2b15a5865bb85">I2C_Params</a> *params)</td></tr>
<tr class="separator:gaf1f3f31297f1641ff42f64a34d984995"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga339a24769b1b04955aa307bbc598bbe9"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga339a24769b1b04955aa307bbc598bbe9">I2CMaster_transfer</a> (<a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a> handle, <a class="el" href="_i2_c_8h.html#a285a6ca3e8eed9d170c9575a3ce2552b">I2C_Transaction</a> *transaction)</td></tr>
<tr class="separator:ga339a24769b1b04955aa307bbc598bbe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95620833486330f83e1e8fbde89dd0e3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga95620833486330f83e1e8fbde89dd0e3">I2CMaster_blockingTransferCallback</a> (<a class="el" href="_i2_c_8h.html#ae06fd2bf0081f98d815dce4223ebab7e">I2C_Handle</a> handle, bool transferStatus)</td></tr>
<tr class="separator:ga95620833486330f83e1e8fbde89dd0e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga491cfaf12ea9ad7bcfbc754fd2b66416"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga491cfaf12ea9ad7bcfbc754fd2b66416">I2CMaster_setupTransfer</a> (<a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0279eaf77896881789eb54e67413597c">I2C_MasterMCB</a> *ptrI2CMCB, <a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gabf912fec4460954a57458de70f7f5e09">I2C_HwCfg</a> *ptrHwCfg, <a class="el" href="_i2_c_8h.html#a285a6ca3e8eed9d170c9575a3ce2552b">I2C_Transaction</a> *transaction)</td></tr>
<tr class="separator:ga491cfaf12ea9ad7bcfbc754fd2b66416"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd829e77c07eaab1f6458db258de1295"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadd829e77c07eaab1f6458db258de1295">I2C_ISR</a> (uintptr_t arg)</td></tr>
<tr class="separator:gadd829e77c07eaab1f6458db258de1295"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a50a5a2b9a7e53667c8011b8198fe3e77"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_i2_c_8h.html#a0ee30e5813328d55cf1cfa669bbfbeff">I2C_FxnTable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__master_8c.html#a50a5a2b9a7e53667c8011b8198fe3e77">gI2CMasterFxnTable</a></td></tr>
<tr class="memdesc:a50a5a2b9a7e53667c8011b8198fe3e77"><td class="mdescLeft">&#160;</td><td class="mdescRight">I2C Master Driver Function Table.  <a href="#a50a5a2b9a7e53667c8011b8198fe3e77">More...</a><br /></td></tr>
<tr class="separator:a50a5a2b9a7e53667c8011b8198fe3e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The file implements the I2C Master Driver for the XWR14xx and XWR16xx. The file implements the driver to conform to the MCPI standards. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2017 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a50a5a2b9a7e53667c8011b8198fe3e77"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_i2_c_8h.html#a0ee30e5813328d55cf1cfa669bbfbeff">I2C_FxnTable</a> gI2CMasterFxnTable</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    &amp;<a class="code" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad63467878733171d59becb3117618965">I2CMaster_cancel</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1a7f25cb49eeca7d6989a3814a378352">I2CMaster_close</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5b37422af52adfdd5bc35c2a4083e235">I2CMaster_control</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga20f4fbbafbfc926a399a0f22d73cade3">I2CMaster_init</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf1f3f31297f1641ff42f64a34d984995">I2CMaster_open</a>,</div><div class="line">    &amp;<a class="code" href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga339a24769b1b04955aa307bbc598bbe9">I2CMaster_transfer</a></div><div class="line">}</div><div class="ttc" id="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga20f4fbbafbfc926a399a0f22d73cade3"><div class="ttname"><a href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga20f4fbbafbfc926a399a0f22d73cade3">I2CMaster_init</a></div><div class="ttdeci">static void I2CMaster_init(I2C_Handle handle)</div><div class="ttdef"><b>Definition:</b> i2c_master.c:610</div></div>
<div class="ttc" id="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga5b37422af52adfdd5bc35c2a4083e235"><div class="ttname"><a href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5b37422af52adfdd5bc35c2a4083e235">I2CMaster_control</a></div><div class="ttdeci">static int32_t I2CMaster_control(I2C_Handle handle, uint32_t cmd, void *arg)</div><div class="ttdef"><b>Definition:</b> i2c_master.c:416</div></div>
<div class="ttc" id="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gaf1f3f31297f1641ff42f64a34d984995"><div class="ttname"><a href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf1f3f31297f1641ff42f64a34d984995">I2CMaster_open</a></div><div class="ttdeci">static I2C_Handle I2CMaster_open(I2C_Handle handle, I2C_Params *params)</div><div class="ttdef"><b>Definition:</b> i2c_master.c:634</div></div>
<div class="ttc" id="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga339a24769b1b04955aa307bbc598bbe9"><div class="ttname"><a href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga339a24769b1b04955aa307bbc598bbe9">I2CMaster_transfer</a></div><div class="ttdeci">static bool I2CMaster_transfer(I2C_Handle handle, I2C_Transaction *transaction)</div><div class="ttdef"><b>Definition:</b> i2c_master.c:772</div></div>
<div class="ttc" id="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_ga1a7f25cb49eeca7d6989a3814a378352"><div class="ttname"><a href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1a7f25cb49eeca7d6989a3814a378352">I2CMaster_close</a></div><div class="ttdeci">static void I2CMaster_close(I2C_Handle handle)</div><div class="ttdef"><b>Definition:</b> i2c_master.c:544</div></div>
<div class="ttc" id="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n_html_gad63467878733171d59becb3117618965"><div class="ttname"><a href="group___i2_c___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad63467878733171d59becb3117618965">I2CMaster_cancel</a></div><div class="ttdeci">static void I2CMaster_cancel(I2C_Handle handle)</div><div class="ttdef"><b>Definition:</b> i2c_master.c:525</div></div>
</div><!-- fragment -->
<p>I2C Master Driver Function Table. </p>
<p>This is the I2C Driver registered function table. </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
